Get sellers balances
GET/v3/balances/sellers/:sellerId
Get sellers balances
Request
Path Parameters
Possible values: >= 15 characters and <= 15 characters, Value must match regular expression ^([a-zA-Z0-9]{3}(-[a-zA-Z0-9]{3}){3})$
Seller ID obtained during seller boarding
Header Parameters
Unique key used to authenticate API requests.
The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.
The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.
Responses
- 200
- 400
- 401
- 404
- 500
- 503
Success
- application/json
- Schema
- Example (from schema)
Schema
balance
object
required
Seller balance amount
Amount of given balance in the smallest unit of the balance currency (grosz in the case of PLN).
escrow
object
required
Seller balance amount
Amount of given balance in the smallest unit of the balance currency (grosz in the case of PLN).
{
"balance": {
"amount": 50000
},
"escrow": {
"amount": 15000
}
}
Bad request
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [CONFLICT, FORBIDDEN, NOT_FOUND, RATE_LIMIT_REACHED, SYSTEM_TEMPORARILY_UNAVAILABLE, UNAUTHORIZED, VALIDATION_ERROR, VERIFICATION_FAILED, PAYMENT_METHOD_NOT_AVAILABLE, PAYMENT_AMOUNT_TOO_SMALL, PAYMENT_AMOUNT_TOO_LARGE, IDEMPOTENCY_KEY_MISSING, SIGNATURE_MISSING]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "CONFLICT",
"message": "string"
}
]
}
{
"statusCode": 400,
"errors": [
{
"errorType": "VALIDATION_ERROR",
"message": "Missing field XXX"
},
{
"errorType": "VALIDATION_ERROR",
"message": "Invalid format of field YYY"
}
]
}
Unauthorized, invalid or missing credentials
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
- UnauthorizedErrorDetails
]
Error status code
errors
object[]
required
oneOf
Error details
Error type
Possible values: [UNAUTHORIZED]
Error description
{
"statusCode": 0,
"errors": [
{}
]
}
{
"statusCode": 401,
"errors": [
{
"errorType": "UNAUTHORIZED",
"message": "Unauthorized, invalid or missing credentials"
}
]
}
Not found
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [NOT_FOUND]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "NOT_FOUND",
"message": "string"
}
]
}
{
"statusCode": 404,
"errors": [
{
"errorType": "NOT_FOUND",
"message": "Resource not found"
}
]
}
Internal server error
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [INTERNAL_SERVER_ERROR]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "INTERNAL_SERVER_ERROR",
"message": "string"
}
]
}
{
"statusCode": 500,
"errors": [
{
"errorType": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
]
}
Service is temporarily unavailable
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Error status code
errors
object[]
required
Error type
Possible values: [SYSTEM_TEMPORARILY_UNAVAILABLE]
Error description
{
"statusCode": 0,
"errors": [
{
"errorType": "SYSTEM_TEMPORARILY_UNAVAILABLE",
"message": "string"
}
]
}
{
"statusCode": 503,
"errors": [
{
"errorType": "SYSTEM_TEMPORARILY_UNAVAILABLE",
"message": "Service is temporarily unavailable"
}
]
}